class Market extends Shadow {

    render() {
        ZStack(() => {
            HStack(() => {
                input("Search for products...", "50vw")
                    .attr({
                        "type": "text"
                    })
                    .background("transparent")
                    .border("1px solid var(--accent)")
                    .outline("none")
                    .color("var(--accent)")
                button("Search")
            })
            .x(50, vw).y(5, vh)
            .position("absolute")
            .transform("translateX(-50%)")
        })
        .width(100, "%")
        .height(100, "%")
    }

    connectedCallback() {
        // Optional additional logic
    }
}

registerShadow(Market)
